%define name	muse
%define version	0.6.0
%define	release	0.pre5.1mdk

Name:		%{name}
Summary:	MusE is a MIDI/Audio sequencer with recording and editing capabilities.
Version:	%{version}
Release:	%{release}
URL:		http://muse.seh.de/
Source:		%{name}-%{version}pre5.tar.bz2
Patch:		%name-jack-0.44-fix.diff
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjack-devel libalsa2-devel
BuildRequires:  libiiwusynth-devel libsndfile-devel
License:	GPL
Requires:	iiwusynth

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities.
Some Highlights:
    * standard midifile (smf) import-/export
    * organizes songs in tracks and parts which you can arrange
      with the part editor
    * midi editors: pianoroll, drum, list, controller
    * score editor with high quality postscript printer output
    * realtime: editing while playing
    * unlimited number of open editors
    * unlimited undo/redo
    * realtime and step-recording
    * multiple midi devices
    * unlimited number of tracks
    * audio playback/recording 
    * Sync to external devices: MTC/MMC, Midi Clock,
      Master/Slave (currently only partial implemented)
    * LADSPA host
    * ALSA and JACK audio driver
    * uses raw midi devices (ALSA, OSS & serial ports)
    * XML project file
    * project file contains complete app state (session data)
    * Application spanning Cut/Paste Drag/Drop
    * uses C++, QT2 GUI Library, STL
    * GPL Licenced 
%prep
%setup -q -a 0 -n %{name}-%{version}pre5
%patch

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%configure --enable-optimize --enable-iiwusynth --disable-rtcap --with-jack --disable-qttest --disable-suid-build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir
# (mandrake) menu support
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="MusE audio editor" \
command="/usr/bin/muse" title="MusE audio editor"  needs="x11" \
section="Multimedia/Sound" \
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING INSTALL ChangeLog README
%doc README.de README.softsynth SECURITY
%_bindir/*
%_libdir/%name
%_datadir/%name
%_menudir/*

%changelog
* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.6.0-0.pre5.1mdk
- bump version
- quiet setup
- add patch from author
- fixup requires

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.2mdk
- remove jack dependency

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- 0.6.0pre3
- clean filelist
- disable-suid-build for now
- from James Gregory <james@james.id.au> :
	- fixed file locations to use macros rather than absolute paths

* Thu Oct  3 2002 James Gregory <james@james.id.au>  0.6.0-0.pre2.2mdk
- First version to build.
